package com.persagy.apm.energy.report.monthly.outline.constants.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;

/**
 * 报告状态
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:51 上午
 */
@SwaggerDisplayEnum
public enum ReportStateEnum {
    /**
     * 报告状态
     */
    BUILDING("0", "生成中"),
    GENERATED("1", "已生成"),
    BUILD_FAILED("2", "生成失败");

    private String type;
    private String desc;

    ReportStateEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
